Loading...
Searching...
No Matches
starpufft.h File Reference

Go to the source code of this file.

## Typedefs

typedef double _Complex | starpufft_complex
typedef struct starpufft_plan * | starpufft_plan
typedef float _Complex | starpufftf_complex
typedef struct starpufftf_plan * | starpufftf_plan
typedef long double _Complex | starpufftl_complex
typedef struct starpufftl_plan * | starpufftl_plan

## Functions

starpufft_plan | starpufft_plan_dft_1d (int n, int sign, unsigned flags)
starpufft_plan | starpufft_plan_dft_2d (int n, int m, int sign, unsigned flags)
starpufft_plan | starpufft_plan_dft_3d (int n, int m, int p, int sign, unsigned flags)
starpufft_plan | starpufft_plan_dft_r2c_1d (int n, unsigned flags)
starpufft_plan | starpufft_plan_dft_c2r_1d (int n, unsigned flags)
void * | starpufft_malloc (size_t n)
void | starpufft_free (void *p, size_t dim)
int | starpufft_execute (starpufft_plan p, void *in, void *out)
struct starpu_task * | starpufft_start (starpufft_plan p, void *in, void *out)
int | starpufft_execute_handle (starpufft_plan p, starpu_data_handle_t in, starpu_data_handle_t out)
struct starpu_task * | starpufft_start_handle (starpufft_plan p, starpu_data_handle_t in, starpu_data_handle_t out)
void | starpufft_cleanup (starpufft_plan p)
void | starpufft_destroy_plan (starpufft_plan p)
void | starpufft_startstats (void)
void | starpufft_stopstats (void)
void | starpufft_showstats (FILE *out)
starpufftf_plan | starpufftf_plan_dft_1d (int n, int sign, unsigned flags)
starpufftf_plan | starpufftf_plan_dft_2d (int n, int m, int sign, unsigned flags)
starpufftf_plan | starpufftf_plan_dft_3d (int n, int m, int p, int sign, unsigned flags)
starpufftf_plan | starpufftf_plan_dft_r2c_1d (int n, unsigned flags)
starpufftf_plan | starpufftf_plan_dft_c2r_1d (int n, unsigned flags)
void * | starpufftf_malloc (size_t n)
void | starpufftf_free (void *p, size_t dim)
int | starpufftf_execute (starpufftf_plan p, void *in, void *out)
struct starpu_task * | starpufftf_start (starpufftf_plan p, void *in, void *out)
int | starpufftf_execute_handle (starpufftf_plan p, starpu_data_handle_t in, starpu_data_handle_t out)
struct starpu_task * | starpufftf_start_handle (starpufftf_plan p, starpu_data_handle_t in, starpu_data_handle_t out)
void | starpufftf_cleanup (starpufftf_plan p)
void | starpufftf_destroy_plan (starpufftf_plan p)
void | starpufftf_startstats (void)
void | starpufftf_stopstats (void)
void | starpufftf_showstats (FILE *out)
starpufftl_plan | starpufftl_plan_dft_1d (int n, int sign, unsigned flags)
starpufftl_plan | starpufftl_plan_dft_2d (int n, int m, int sign, unsigned flags)
starpufftl_plan | starpufftl_plan_dft_3d (int n, int m, int p, int sign, unsigned flags)
starpufftl_plan | starpufftl_plan_dft_r2c_1d (int n, unsigned flags)
starpufftl_plan | starpufftl_plan_dft_c2r_1d (int n, unsigned flags)
void * | starpufftl_malloc (size_t n)
void | starpufftl_free (void *p, size_t dim)
int | starpufftl_execute (starpufftl_plan p, void *in, void *out)
struct starpu_task * | starpufftl_start (starpufftl_plan p, void *in, void *out)
int | starpufftl_execute_handle (starpufftl_plan p, starpu_data_handle_t in, starpu_data_handle_t out)
struct starpu_task * | starpufftl_start_handle (starpufftl_plan p, starpu_data_handle_t in, starpu_data_handle_t out)
void | starpufftl_cleanup (starpufftl_plan p)
void | starpufftl_destroy_plan (starpufftl_plan p)
void | starpufftl_startstats (void)
void | starpufftl_stopstats (void)
void | starpufftl_showstats (FILE *out)

## Variables

int | starpufft_last_plan_number